<template>
  <ContentScrollView>
    <SelectPayTypeView
      style="margin-top: 40px"
      :orderNo="orderNo"
      :lifePayOrderType="lifePayOrderType"
      @paySuccess="handePaySuccess"
    />
  </ContentScrollView>
</template>

<script setup lang="ts">
import { SelectPayTypeView, LifeRechargeConstants } from '@life-payment/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'selectPayType',
});

const router = Taro.useRouter();
const orderNo = router.params?.orderNo ?? '';
const lifePayOrderType = Number(router.params?.lifePayOrderType ?? '');

function handePaySuccess(
  orderNo: string,
  lifePayOrderType: LifeRechargeConstants.LifePayOrderTypeEnum
) {
  Taro.navigateTo({
    url: `${RouterPath.rechargeResult}?orderNo=${orderNo}&lifePayOrderType=${lifePayOrderType}`,
  });
}
</script>
